Subject: Re: bug#25113: 25.1.90; Stale menu items after switching to a different major mode (or visiting a buffer)

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Aug 2020 17:25:03 -0700

Dmitry Gutov <[email-masked]> writes:

> 1. Start 'emacs -Q', and
>
> - In *scratch*, M-x ruby-mode (or python-mode, or probably many others)
>
> OR
>
> - C-x C-f, visit a Ruby file (or, again, probably any other file)
>
> 2. See the "Lisp Interaction" menu disappear, and "Ruby" manu appear.
>
> However, the contents of that menu are exactly the same as what was in
> "Lisp Interaction".

Ken Brown <[email-masked]> writes:

> On 12/6/2016 9:45 AM, Dmitry Gutov wrote:
>> On 05.12.2016 23:38, Stephen Berman wrote:
>>
>>>> Does anyone else using GTK+ build see this?
>>>
>>> I'm using GTK+ Version 3.14.15 and don't see the problem either on my
>>> distribution's build of 25.1 or on fairly recent builds from the
>>> emacs-25 and master branches.
>>
>> Thank you. Anyone with a more recent version of GTK?
>>
>> I'm seeing the problem with 3.18.9.
>
> I can't reproduce the problem with 3.18.9.  Here's my system info:

I can't reproduce this bug here, using:

GNU Emacs 28.0.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.24.20,
cairo version 1.16.0) of 2020-08-11

Are you still seeing this?

Best regards,
Stefan Kangas